<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.crawler.modules.music.mapper.DictMusicTypeMapper">

    <select id="getAllExtTypeZh" resultType="cn.com.ctop.crawler.modules.music.entity.DictMusicType">
        select distinct ext_type_zh,ext_type from ctop_dict_music_type_zh
    </select>

    <select id="getAllExtInfoByExtTypeZh" resultType="cn.com.ctop.crawler.modules.music.entity.DictMusicType">
        select distinct ext_type_value_zh,ext_type_zh from ctop_dict_music_type_zh
        where ext_type_zh = #{extTypeZh}
    </select>
</mapper>
